<?
##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
#########################################
require'config.php';
$align='left';
$title='Стена любви';
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...


switch($mod){

default:
echo '<br/><img src = "http://wapmas.ru/pic/smiles/love/050.gif"><i>А знаете... на свете есть Любовь)))</i>,<br />
<i>А знаете... она волнует кровь)))</i><br />
<i>И знаете... ведь трудно без нее)))</i><img src = "http://wapmas.ru/pic/smiles/love/008.gif"><br /><br />
<i>Эта стена для влюбленных,</i><br />
<i>ваши признания будут приятны вашим половинкам)))</i><br />
<i>Пускай ваши чувства на ней навсегда запечатлятся.</i><img src = "http://wapmas.ru/pic/smiles/love/054.gif"><br /><br />';


echo '<b>Правила стены:</b> <br/>
<b>1.</b> Разрешено писать только признания в любви парня девушке и наоборот, всего <b>1 раз в сутки</b>, <br/>
<b>2.</b> Если вы захотите написать что-либо другое, смотрите пункт <b>1.</b> <br/>
<b>3.</b> Если вы все же написали на стене не удовлетворяющее пункту <b>1.</b> <br/>
<b>Не удивляйтесь, что будет крупный штраф постов, либо БАН ника</b>.<br/>';
echo '<br/>';
echo '<div class="menu">Стена любви:</b></div>';
echo '<br/>';



case 'komm':
$did = check(intval($_GET['did']));

if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `diaskomm1` WHERE `id` = '".check(intval($_GET['delk']))."'");
}
header ('Location: ?mod='.$mod.'&did='.$did.'&'.SID);
}

if (isset($_POST['msg'])){
if (strlen2($_POST['msg'])>3){
if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
if ($db->sql_query ("INSERT INTO diaskomm1 (did,user_id,time,msg) VALUES ('$did','$user[id]','$time','".check($_POST['msg'])."')")){header ('Location: ?mod='.$mod.'&did='.$did.'&'.SID); exit;
}else echo 'Ошибка!<br />';


}

}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from diaskomm1 where did = '".$did."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from diaskomm1 where did = '".$did."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Признаний нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a['user_id']).'';
if($user[level]>=5)echo '<small><a href="?mod='.$mod.'&amp;did='.$did.'&amp;delk='.$a['id'].'">[X]</a></small>';
echo '('.times($a['time']).')'.div;

echo text($a['msg']);
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('?mod='.$mod.'&amp;did='.$did.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

if ($ver!='wml')echo '<form action="?mod='.$mod.'&amp;did='.$did.'&amp;'.SID.'" method="post">';
if ($ver=='wml')echo '<br />Ваше признания:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo '<br />Ваше признания:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="?mod='.$mod.'&amp;did='.$did.'&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}


break;





}










echo '<br />';
echo gb.'<a href="'.H.'znakomstva">Наза в знакомства</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
